FreshPorts -- The Place For Ports If you buy from Amazon USA, please support us by using this link.
Follow us
Blog
Twitter

I am looking for an LTO tape library. Do you have one to spare?
Port details
imp3 3.2.6 mail Deleted on this many watch lists=22 search for ports that depend on this port This port version is marked as vulnerable.
A webmail system which accesses mail over IMAP
Was Maintained by: thierry@FreeBSD.org search for ports maintained by this maintainer
Port Added: 18 May 2002 07:11:41
Also Listed In: www
License: not specified in port


IMP 3 is the new stable version of IMP. Features that have been added
include searching; a new, flexible preferences system; a hierarchical
folder tree; and more.

It requires PHP4. You should use it if you want to take advantage
of PHP4s built-in session handling and improved speed or if you
want access to features such as the interactive spell checker and
folder searching.  PHP4 should be configured to support IMAP /
IMAP-SSL, OpenLDAP, OpenSSL, mcrypt, XML, FTP, gettext, zlib, MCAL
and a database (like MySQL or PostgreSQL). For Japanese language,
please enable mbstring.

WWW: http://www.horde.org/imp/
SVNWeb : Main Web Site : Distfiles Availability : PortsMon

NOTE: FreshPorts displays only required dependencies information. Optional dependencies are not covered.

Required To Run:
  1. mail/turba
  2. mail/imap-uw
  3. textproc/wv
  4. textproc/xlhtml
  5. archivers/unzip
  6. textproc/aspell
There are no ports dependent upon this port

No installation instructions: this port has been deleted.

The package name of this deleted port was: imp


Configuration Options
     No options to configure

Master Sites:
  1. ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/
  2. ftp://ftp.au.horde.org/pub/horde/imp/
  3. ftp://ftp.be.horde.org/imp/
  4. ftp://ftp.es.horde.org/pub/imp/
  5. ftp://ftp.horde.org/pub/imp/
  6. ftp://ftp.planetmirror.com/pub/horde/imp/
  7. http://ftp.horde.org/pub/imp/

Number of commits found: 30

Commit History - (may be incomplete: see SVNWeb link above for full details)
DateByDescription
26 Dec 2004 10:33:22
Original commit files touched by this commit  3.2.6
 This port version is marked as vulnerable.
thierry search for other commits by this committer
Remove www/horde2 & mail/imp3 and resurrect www/horde & mail/imp.

PR:             ports/75434
Submitted by:   /me.
20 Sep 2004 21:37:56
Original commit files touched by this commit  3.2.6
 This port version is marked as vulnerable.
thierry search for other commits by this committer
Upgrade to 3.2.6.

Changes in this release:
    - SECURITY: Removed tags with -moz-binding: styles in the HTML MIME viewer.
    - SECURITY: Removed scripts from <base> tags in the HTML MIME viewer.
    - SECURITY: Removed scripts from obfuscated "on..." attributes in the HTML
      MIME viewer.
    - Updated translations: Slovak and Slovenian.

The script vulnerabilities can only be exposed with certain browsers and allow
XSS attacks when viewing HTML messages with the HTML MIME viewer.

Approved by:    portmgr (marcus)
30 Jul 2004 17:34:38
Original commit files touched by this commit  3.2.5
 This port version is marked as vulnerable.
thierry search for other commits by this committer
- SECURITY: Closed an XSS hole in the HTML viewer, a variation to the one
  reported in http://www.greymagic.com/security/advisories/gm005-mc/.
  This vulnerability only exists when using the Internet Explorer to
  access IMP and only when using the inline MIME viewer for HTML messages.

- Commented out the complete <style> tags in the HTML viewer to avoid CSS
  code appearing in the message.

- Fixed a cosmetic issue with broken mail servers that return quotes where
  they should not (Bug #292).  <- edwin ;-)

- Updated translations: Estonian, German.
19 Jul 2004 09:39:01
Original commit files touched by this commit  3.2.4
 This port version is marked as vulnerable.
ale search for other commits by this committer
Switch to the new PHP infrastructure.

Submitted by:   maintainer
04 Jun 2004 20:49:34
Original commit files touched by this commit  3.2.4
 This port version is marked as vulnerable.
thierry search for other commits by this committer
Changes in this release:
    - SECURITY: Close an XSS hole exploited via the Content-type header
      of malicious emails.
    - Fix conversion of folder names in some non-ascii charsets with buggy
      iconv implementations.
    - Filter out <base> tags when viewing HTML messages (Bug #10).
    - Encode subject when saving as draft.
16 Mar 2004 22:23:55
Original commit files touched by this commit  3.2.3
 This port version is marked as vulnerable.
thierry search for other commits by this committer
Upgrading to IMP 3.2.3.

The full list of changes (from version 3.2.2) can be viewed here:
<http://cvs.horde.org/diff.php/imp/docs/CHANGES?r1=1.389.2.94&r2=1.389.2.101&ty=h>.

PR:             ports/63855.
Submitted by:   maintainer.
Approved by:    mat (mentor).
04 Feb 2004 05:10:27
Original commit files touched by this commit  3.2.2_1
 This port version is marked as vulnerable.
marcus search for other commits by this committer
Bump PORTREVISION on all ports that depend on gettext to aid with upgrading.

(Part 1)
30 Sep 2003 12:22:14
Original commit files touched by this commit  3.2.2
 This port version is marked as vulnerable.
edwin search for other commits by this committer
IMP3 port's dependancy test fails for cyrus-imapd22

        The mail/imp3 port can be built with support for the Cyrus
        IMAPd The WITH_CYRUS flag specifies version 1.x (mail/cyrus)
        and the WITH_CYRUS_IMAPD flag specifies version 2.x
        (mail/cyrus-imapd).  The WITH_CYRUS flag tests the existance
        of the installed Cyrus directory in ${LOCALBASE}.  The
        WITH_CYRUS_IMAPD flag tests for the existance of libacap.

        There are actually three ports providing different subreleases
        of the Cyrus IMAP system version 2.  The cyrus-imapd port
        is version 2.0.17, the cyrus-imapd2 port is 2.1.14, and the
        cyrus-imapd22 port is 2.2.1b.  Unfortunately, 2.2.1b does
        not include libacap so the imp3 build failes to recognize
        when it is installed.

        Since imp3 doesn't directly use the ACAP library, and appears
        to work fine with cyrus-imapd22, the test should be modified.

PR:             ports/56120
Submitted by:   Pat Lashley <patl+freebsd@volant.org>
Approved by:    Thierry Thomas <thierry@pompo.net> (maintainer)
24 Sep 2003 10:55:57
Original commit files touched by this commit  3.2.2
 This port version is marked as vulnerable.
edwin search for other commits by this committer
mail/imp3: removing IS_INTERACTIVE.

        Just remove IS_INTERACTIVE since Horde depends on lang/php4-horde.

PR:             ports/57114
Submitted by:   Thierry Thomas <thierry@pompo.net>
28 Aug 2003 23:42:44
Original commit files touched by this commit  3.2.2
 This port version is marked as vulnerable.
edwin search for other commits by this committer
mail/imp3: upgrading to 3.2.2 - includes security fixes.

        Upgrading to the latests stable release. This includes
        several security fixes.

        The full list of changes (from 3.2.1) can be viewed here:
       
http://cvs.horde.org/diff.php/imp/docs/CHANGES?r1=1.389.2.83&;r2=1.389.2.94&ty=h

PR:             ports/56099
Submitted by:   Thierry Thomas <thierry@pompo.net>
15 Aug 2003 00:49:31
Original commit files touched by this commit  3.2.1_2
 This port version is marked as vulnerable.
kuriyama search for other commits by this committer
Fix non-default dependency on openldap2[012] which is broken by splitting.

# I'm not bumped port revision of them because this should not affect
# packages built on bento...
12 Jun 2003 02:17:45
Original commit files touched by this commit  3.2.1_2
 This port version is marked as vulnerable.
lioux search for other commits by this committer
o Replace openldap20 dependency on openldap21
o Prefer openldap12 if it's already installed. Otherwise, depend
  on openldap21

PR:             53123
Submitted by:   maintainer
18 Apr 2003 07:30:56
Original commit files touched by this commit  3.2.1_1
 This port version is marked as vulnerable.
edwin search for other commits by this committer
mail/imp3: fixing an error when saving attachments.

        Fixing an error reported by fran at his.com:
        Saving attachments causes an error:
        "You don't have permission to access /horde/imp/download/
        on this server." and an error is reported in
        /var/log/httpd-error.log: [error] [client aaa.bbb.ccc.ddd]
        client denied by server configuration:
        /usr/local/www/horde/imp/download

        $LOCALBASE/etc/horde/httpd.conf.imp was protecting horde/imp/download/
        (my mistake), but IMP uses this as a pseudo-directory, and it must be
        readable by your clients.

PR:             ports/51100
Submitted by:   Thierry Thomas <thierry@pompo.net>
13 Apr 2003 11:56:25
Original commit files touched by this commit  3.2.1
 This port version is marked as vulnerable.
edwin search for other commits by this committer
mail/turba & mail/imp3: better support of Apache2.

PR:             ports/50489
Submitted by:   Thierry Thomas <thierry@pompo.net>
30 Mar 2003 22:31:38
Original commit files touched by this commit  3.2.1
 This port version is marked as vulnerable.
edwin search for other commits by this committer
Make pre-requisites for mail/imp3 regarding PHP4 available for
people who install the package.

Approved by:    Thierry Thomas <thierry@pompo.net>
30 Mar 2003 01:06:38
Original commit files touched by this commit  3.2.1
 This port version is marked as vulnerable.
edwin search for other commits by this committer
mail/imp3: install error if defined(WITHOUT_TURBA)

PR:             ports/50368
Submitted by:   Thierry Thomas <thierry@pompo.net>
30 Mar 2003 00:49:10
Original commit files touched by this commit  3.2.1
 This port version is marked as vulnerable.
edwin search for other commits by this committer
mail/imp3: upgrading to IMP 3.2.

        - Several workarounds for buggy browser behaviour when downloading
          attachments
        - Warning before a user session times out
        - Allow creation of folder names in other charsets than iso-8859-1
        - New image mime type viewer
        - VFS (Virtual Filesystem) support for attachments in composed messages
        - New translations: Bulgarian, Lithuanian, Romanian, Latvian, Catalan
        - Many bug fixes.

PR:             ports/48645
Submitted by:   Thierry Thomas <thierry@pompo.net>
24 Feb 2003 02:56:37
Original commit files touched by this commit  3.1_3
 This port version is marked as vulnerable.
edwin search for other commits by this committer
Point dependencies on net/openldap2 to net/openldap20
24 Feb 2003 02:26:55
Original commit files touched by this commit  3.1_3
 This port version is marked as vulnerable.
edwin search for other commits by this committer
Point dependencies on net/openldap to net/openldap12
21 Feb 2003 12:42:26
Original commit files touched by this commit  3.1_3
 This port version is marked as vulnerable.
knu search for other commits by this committer
De-pkg-comment.
30 Jan 2003 10:01:56
Original commit files touched by this commit  3.1_3
 This port version is marked as vulnerable.
dirk search for other commits by this committer
- backup config files
- fix ftp sites

PR:             ports/47418
Submitted by:   Thierry Thomas <thierry@pompo.net>
04 Jan 2003 15:53:39
Original commit files touched by this commit  3.1_2
 This port version is marked as vulnerable.
seanc search for other commits by this committer
Chase libpq version bump.
03 Jan 2003 19:24:35
Original commit files touched by this commit  3.1_2
 This port version is marked as vulnerable.
ijliao search for other commits by this committer
chase mcrypt lib version
26 Jun 2002 03:54:09
Original commit files touched by this commit  3.1_2
 This port version is marked as vulnerable.
ijliao search for other commits by this committer
${PERL} -> ${REINPLACE_CMD}

PR:             39856
Submitted by:   maintainer
18 Jun 2002 07:42:59
Original commit files touched by this commit  3.1_2
 This port version is marked as vulnerable.
pat search for other commits by this committer
Update to 3.1 final, bump PORTREVISION.

PR:             39173
Submitted by:   maintainer
23 May 2002 11:55:50
Original commit files touched by this commit  3.1_1
 This port version is marked as vulnerable.
sobomax search for other commits by this committer
Ensure clean removal.

PR:             38392
Submitted by:   maintainer
23 May 2002 11:44:31
Original commit files touched by this commit  3.1_1
 This port version is marked as vulnerable.
sobomax search for other commits by this committer
Update to RC3.

PR:             38263
Submitted by:   maintainer
16 May 2002 08:22:16
Original commit files touched by this commit  3.1
 This port version is marked as vulnerable.
sada search for other commits by this committer
Upgrade to 3.1 RC2.
PR:     ports/36906
Submitted by:   maintainer
15 May 2002 10:46:32
Original commit files touched by this commit  3.0_2
 This port version is marked as vulnerable.
sada search for other commits by this committer
Since 2002/02/27 (v. 0.4), bin/xlhtml and bin/ppthtml have been lowercased,
but imp3 is looking for bin/xlHtml and bin/pptHtml.

PR:             ports/35739
Submitted by:   maintainer
Pointed out by: Scott Sipe <css3@duke.edu>
15 May 2002 10:32:20
Original commit files touched by this commit  3.0_2
 This port version is marked as vulnerable.
sada search for other commits by this committer
Move www/horde-devel -> www/horde2 & mail/imp-devel -> mail/imp3
From PR's description:
  IMP 3.0 is the stable release of IMP,
  and Horde 2.0 the stable release of Horde.
Note:   mail/imp3 and deskutils/kronolith are marked as IS_INTERACTIVE
        since they need depending port mod_php4 with its mcrypt option
        enabled by hand.

PR:             ports/35051
Submitted by:   maintainer

Number of commits found: 30

Login
User Login
Create account

Servers and bandwidth provided by
New York Internet, SuperNews, and RootBSD

This site
What is FreshPorts?
About the authors
FAQ
How big is it?
The latest upgrade!
Privacy
Forums
Blog
Contact

Search
Enter Keywords:
 
more...

Latest Vulnerabilities
asterisk11Sep 18
squidSep 18
squid33Sep 18
dbusSep 17
nginxSep 16
nginx-develSep 16
phpmyadminSep 13
ossec-hids-clientSep 11
ossec-hids-localSep 11
ossec-hids-serverSep 11
chromiumSep 09
trafficserverSep 05
apache22*Sep 03
apache22-event-mpm*Sep 03
apache22-itk-mpm*Sep 03

8 vulnerabilities affecting 19 ports have been reported in the past 14 days

* - modified, not new

All vulnerabilities


Ports
Home
Categories
Deleted ports
Sanity Test Failures
Newsfeeds


Statistics
Graphs
NEW Graphs (Javascript)
Traffic

Calculated hourly:
Port count 24062
Broken 118
Deprecated 54
Ignore 370
Forbidden 4
Restricted 203
No CDROM 94
Vulnerable 21
Expired 6
Set to expire 49
Interactive 0
new 24 hours 5
new 48 hours6
new 7 days35
new fortnight70
new month231

Servers and bandwidth provided by
New York Internet, SuperNews, and RootBSD
Valid HTML, CSS, and RSS.
Copyright © 2000-2014 Dan Langille. All rights reserved.